import { ColumnFilterCondition } from "./ColumnFilterCondition";
import { Type } from "igniteui-webcomponents-core";
import { IFilterExpression } from "igniteui-webcomponents-core";
import { DataSourceSchemaPropertyType } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
export declare class ColumnFilterConditionGroup extends ColumnFilterCondition {
    static $t: Type;
    b(): boolean;
    constructor();
    equals(a: any): boolean;
    readonly g: number;
    f: boolean;
    private e;
    h(a: ColumnFilterCondition): void;
    j(a: ColumnFilterCondition): void;
    k(a: number): void;
    item(a: number, b?: ColumnFilterCondition): ColumnFilterCondition;
    i(): void;
    c(): ColumnFilterCondition[];
    a(a: string, b: DataSourceSchemaPropertyType): IFilterExpression;
}
